Page MenuHomePhabricator

Update API clients for AuthManager
Closed, ResolvedPublic

Description

User:Anomie/SessionManager and AuthManager will deprecate the current (non-bot-password) login API (and possibly break it, depending on what authentication extensions are installed) and remove the current account creation API.

Event Timeline

Tgr created this task.May 10 2016, 10:35 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 10 2016, 10:35 PM
Tgr updated the task description. (Show Details)May 10 2016, 10:43 PM
TTO added a subscriber: TTO.May 27 2016, 9:54 AM

action=clientlogin seems like an awful amount of work to implement in the client. Why couldn't we just have a HTML-based system where we can drop a web browser control in our app, point it to a specific page, and listen for some kind of event or specific page access to confirm a successful login?

Anomie added a subscriber: Anomie.Jun 1 2016, 1:45 PM

Because not all clients can just drop in a web browser control. If you can do that, can you just drop Special:UserLogin into your web browser control, with returnto and returntoquery set to something appropriate?

Tgr added a comment.Jun 1 2016, 2:00 PM

Also, clients might want to control the presentation, e.g. to have the look-and-feel of the native OS.

TTO added a comment.Jun 1 2016, 2:05 PM

Sure, I'm not saying that clientlogin is a bad thing :) I just am wondering if there is an easier way that saves having to implement what is potentially quite a complex and time-consuming bit of code on the client side.

I'll have a play around with Anomie's idea and see if it works out.

Tgr closed this task as Resolved.Jul 19 2016, 8:21 PM
Tgr claimed this task.